package com.ruoyi.szxc.service;

import com.ruoyi.szxc.domain.SzxcXyAuditRecard;

import java.util.List;

/**
 * 审核记录Service接口
 *
 * @author hs
 * @date 2024-04-15
 */
public interface ISzxcXyAuditRecardService
{
    /**
     * 查询审核记录
     *
     * @param id 审核记录主键
     * @return 审核记录
     */
    public SzxcXyAuditRecard selectSzxcXyAuditRecardById(Long id);

    /**
     * 查询审核记录列表
     *
     * @param szxcXyAuditRecard 审核记录
     * @return 审核记录集合
     */
    public List<SzxcXyAuditRecard> selectSzxcXyAuditRecardList(SzxcXyAuditRecard szxcXyAuditRecard);

    /**
     * 新增审核记录
     *
     * @param szxcXyAuditRecard 审核记录
     * @return 结果
     */
    public int insertSzxcXyAuditRecard(SzxcXyAuditRecard szxcXyAuditRecard);

    /**
     * 修改审核记录
     *
     * @param szxcXyAuditRecard 审核记录
     * @return 结果
     */
    public int updateSzxcXyAuditRecard(SzxcXyAuditRecard szxcXyAuditRecard);

    /**
     * 批量删除审核记录
     *
     * @param ids 需要删除的审核记录主键集合
     * @return 结果
     */
    public int deleteSzxcXyAuditRecardByIds(Long[] ids);

    /**
     * 删除审核记录信息
     *
     * @param id 审核记录主键
     * @return 结果
     */
    public int deleteSzxcXyAuditRecardById(Long id);
}
